2017-10-31 08:04 - Mizuki ISHIKAWA

Status: Closed Start date:
Target version: 3.3.6

Resolution: Fixed Affected version:

Description

Steps to reproduce:

1. Open “New repository” ( /projects/:project_name/repositories/new )
2. Click the Create button without making any changes.
3. Change SCM (e.g. "Subversion" to "Git")

==> The input form does not change at all. As below.

Incorrect form for 'Git' Correct form for 'Git'

incorrect_git.png correct_git.png

development.log:
There is an error "ActionController::RoutingError (No route matches [GET] "/projects/:project_name/repositories"):".

You can solve the problem by making the following changes.

diff --git a/app/helpers/repositories_helper.rb b/app/helpers/repositories_helper.rb

index 314c0b29b..435041b72 100644

-—— a/app/helpers/repositories_helper.rb

+++ b/app/helpers/repositories_helper.rb

@@ -138,7 +138,7 @@ module RepositoriesHelper

select_tag('repository_scm',

options_for_select (scm_options, repository.class.name.demodulize),
:disabled => (repository && !repository.new_record?),

= :data => {:remote => true, :method => 'get'})

+ :data => {:remote => true, :method => 'get', :url => new_project_repository_path(r

epository.project) })

end

def with_leading_slash (path)

Associated revisions

Revision 17105 - 2017-12-10 06:42 - Go MAEDA
Switching SCM fails after validation error in "New repository" page (#27333).

Patch by Mizuki ISHIKAWA.

Revision 17106 - 2017-12-10 16:44 - Go MAEDA
iMerged r17105 to 3.4-stable (#27333).

Patch by Mizuki ISHIKAWA.

Revision 17107 - 2017-12-10 16:49 - Go MAEDA
Merged r17105 to 3.3-stable (#27333).

Patch by Mizuki ISHIKAWA.

History
#1 - 2017-11-25 18:06 - Toshi MARUYAMA
- Status changed from New to Confirmed

- Target version set to 3.4.4

LGTM.

#2 - 2017-12-09 08:07 - Go MAEDA
- Target version changed from 3.4.4 to 3.3.6

Redmine 3.3 also is affected by this issue and the patch can be applied to 3.3-stable cleanly. Setting target version to 3.3.6.

#3 - 2017-12-10 06:44 - Go MAEDA

- Subject changed from Switching SCM fail after repository creation fails to Switching SCM fails after validation error in "New repository" page

- Status changed from Confirmed to Resolved
- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed. Thank you for detecting and fixing this issue.

#4 - 2017-12-10 16:50 - Go MAEDA

- Status changed from Resolved to Closed

Merged to stable branches.
